export class Equirment {
    eqId: number;
    eqName: string;
    eqDesc: string;
    eqType: string;
    eqPic: string;
    constructor(init?: Equirment){
        Object.assign(this, init);
        this.eqId = 0;
        this.eqName = '';
        this.eqDesc = '';
        this.eqType = '';
        this.eqPic = '';
    }
}

export interface SearchEquirmentModel {
    sdate: string;
    edate: string;
    stime: string;
    etime: string;
}

export class SearchEquirmentModel {
    constructor(init?: SearchEquirmentModel) {
        Object.assign(this, init);
        this.sdate = '',
        this.edate = '',
        this.stime = '',
        this.etime = '';
    }
}

interface EquirmentModel {
    id: number;
    name: string;
    desc: string;
    type?: CategoryModel;
    pic: string;
  }